/*******************************************************************************
//  版权所有  (C) 2015 刺客
//  文 件 名：MCItemInfo.cs
//  文件说明：会员消费明细记录实体；
//  版    本：
//
//  创建标识：陈志豪 2016-01-07 10:37:32
//
//  修改标识：
//  修改说明：
*******************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Model
{
    /// <summary>
    /// 会员消费明细记录实体类 
    /// </summary>
    [Serializable]
    public class MCItemInfo
    {
        int _RID;
        string _BizNo;
        string _Item_Type;
        string _Item_Category;
        string _Item_Code;
        string _Item_Name;
        string _Unit;
        decimal _Price;
        decimal _Quantity;
        decimal _Costs;
        decimal _Charges;
        decimal _Discounts;
        string _Discount_Desc;
        string _Waiter_Code;
        string _Waiter_Name;
        string _Settle_Account_Flag;

        ///<summary>
        ///记录ID
        ///</summary>
        public int RID
        {
            get { return _RID; }
            set { _RID = value; }
        }

        ///<summary>
        ///交易流水号
        ///</summary>
        public string BizNo
        {
            get
            {
                if (_BizNo == null)
                    return String.Empty;
                else
                    return _BizNo;
            }
            set { _BizNo = value; }
        }

        ///<summary>
        ///项目类型。1-服务项目；2-商品；
        ///</summary>
        public string Item_Type
        {
            get
            {
                if (_Item_Type == null)
                    return String.Empty;
                else
                    return _Item_Type;
            }
            set { _Item_Type = value; }
        }

        ///<summary>
        ///项目所属分类。
        ///</summary>
        public string Item_Category
        {
            get
            {
                if (_Item_Category == null)
                    return String.Empty;
                else
                    return _Item_Category;
            }
            set { _Item_Category = value; }
        }


        ///<summary>
        ///项目代码
        ///</summary>
        public string Item_Code
        {
            get
            {
                if (_Item_Code == null)
                    return String.Empty;
                else
                    return _Item_Code;
            }
            set { _Item_Code = value; }
        }

        ///<summary>
        ///项目名称
        ///</summary>
        public string Item_Name
        {
            get
            {
                if (_Item_Name == null)
                    return String.Empty;
                else
                    return _Item_Name;
            }
            set { _Item_Name = value; }
        }

        ///<summary>
        ///单位
        ///</summary>
        public string Unit
        {
            get
            {
                if (_Unit == null)
                    return String.Empty;
                else
                    return _Unit;
            }
            set { _Unit = value; }
        }

        ///<summary>
        ///单价
        ///</summary>
        public decimal Price
        {
            get { return _Price; }
            set { _Price = value; }
        }

        ///<summary>
        ///数量 
        ///</summary>
        public decimal Quantity
        {
            get { return _Quantity; }
            set { _Quantity = value; }
        }

        ///<summary>
        ///应收金额
        ///</summary>
        public decimal Costs
        {
            get { return _Costs; }
            set { _Costs = value; }
        }

        ///<summary>
        ///实收金额 
        ///</summary>
        public decimal Charges
        {
            get { return _Charges; }
            set { _Charges = value; }
        }

        ///<summary>
        ///优惠金额 
        ///</summary>
        public decimal Discounts
        {
            get { return _Discounts; }
            set { _Discounts = value; }
        }

        ///<summary>
        ///优惠说明 
        ///</summary>
        public string Discount_Desc
        {
            get
            {
                if (_Discount_Desc == null)
                    return String.Empty;
                else
                    return _Discount_Desc;
            }
            set { _Discount_Desc = value; }
        }

        ///<summary>
        ///服务员-代码
        ///</summary>
        public string Waiter_Code
        {
            get
            {
                if (_Waiter_Code == null)
                    return String.Empty;
                else
                    return _Waiter_Code;
            }
            set { _Waiter_Code = value; }
        }

        ///<summary>
        ///服务员-姓名
        ///</summary>
        public string Waiter_Name
        {
            get
            {
                if (_Waiter_Name == null)
                    return String.Empty;
                else
                    return _Waiter_Name;
            }
            set { _Waiter_Name = value; }
        }

        ///<summary>
        ///结账标志。1-未结账；2-已结账。
        ///</summary>
        public string Settle_Account_Flag
        {
            get
            {
                if (_Settle_Account_Flag == null)
                    return String.Empty;
                else
                    return _Settle_Account_Flag;
            }
            set { _Settle_Account_Flag = value; }
        }

        /// <summary>
        /// 深度克隆自身；
        /// </summary>
        /// <returns></returns>
        public MCItemInfo Clone()
        {
            MCItemInfo entity = new MCItemInfo();

            entity.RID = this.RID;
            entity.BizNo = this.BizNo;
            entity.Item_Type = this.Item_Type;
            entity.Item_Category = this.Item_Category;
            entity.Item_Code = this.Item_Code;
            entity.Item_Name = this.Item_Name;
            entity.Unit = this.Unit;
            entity.Price = this.Price;
            entity.Quantity = this.Quantity;
            entity.Costs = this.Costs;
            entity.Charges = this.Charges;
            entity.Discounts = this.Discounts;
            entity.Discount_Desc = this.Discount_Desc;
            entity.Waiter_Code = this.Waiter_Code;
            entity.Waiter_Name = this.Waiter_Name;
            entity.Settle_Account_Flag = this.Settle_Account_Flag;

            return entity;
        }

    } //class end.
} //namespace end.



